# studio::StateManager Class Reference

`#include <statemanager.h>`

List of all members.

## Public Member Functions

| StateManager ()
| ~StateManager ()
void | add_state (const Smach::state_base *state)
Glib::RefPtr< Gtk::ActionGroup > | get_action_group ()

## Constructor & Destructor Documentation

StateManager::StateManager | ( |  | ) |

References get_action_group(), and studio::App::ui_manager().

StateManager::~StateManager | ( |  | ) |

References studio::App::ui_manager().

## Member Function Documentation

void StateManager::add_state | ( | const Smach::state_base * | state | ) |

References studio::Toolbox::add_state(), synfigapp::Action::create(), studio::App::toolbox, and studio::App::ui_manager().

Referenced by studio::App::App(), and studio::ModMirror::start_vfunc().

Glib::RefPtr< Gtk::ActionGroup > StateManager::get_action_group | ( |  | ) |

Referenced by StateManager().

The documentation for this class was generated from the following files:

- statemanager.h
- statemanager.cpp